//
// form elements
//
   
input,
select,
textarea {
    width: 100%;
    background: #fff;
    color: #595959;
    border-radius: 4px;
    border: 1px solid #d1d1d1;
    box-shadow: inset 1px 2px 8px rgba(0, 0, 0, 0.07);
    font-family: inherit;
    font-size: 1.6rem;
    line-height: 1.5;
    outline: none;
    padding: 0rem 1.3rem 0rem 1.3rem;
    transition: .18s ease-out;
    vertical-align: bottom;
    height: 40px;
}

input[type="checkbox"],
input[type="radio"],
input[type="file"] {
    width: auto;
}

input[type="reset"],
input[type="submit"] {
    width: auto;
    background: $primary-color;
    color: $white;
    cursor: pointer;
    border: 1px solid transparent;
}

// hover
input:hover,
select:hover,
textarea:hover {
    box-shadow: inset 1px 2px 8px rgba(0, 0, 0, 0.02);
}

input[type="reset"]:hover,
input[type="submit"]:hover {
    background: $primary-dark-color;
}

// focus
input:focus,
textarea:focus,
select:focus {
    color: #000000;
    border: 1px solid #B8B6B6;
    box-shadow: inset 1px 2px 4px rgba(0, 0, 0, 0.01), 0px 0px 8px rgba(0, 0, 0, 0.2);
}
